-- SETTINGS - HEALTH WARNING EMOTE
function GoH_Settings_HEALTH_EMOTE_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "YES"
    		PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote = "NO"
    		PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS - MANA WARNING EMOTE
function GoH_Settings_MANA_EMOTE_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote = "YES"
    		PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote = "NO"
    		PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS - HEALTH WARNING SOUND
function GoH_Settings_HEALTH_SOUND_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS - MANA WARNING SOUND
function GoH_Settings_MANA_SOUND_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS - MANA 25%
function GoH_Settings_MANA_TWENTYFIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Mana_Percentage = .25;
		GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "25";
		GoH_Mana_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Mana_25");
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES" then
		    PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - MANA 20%
function GoH_Settings_MANA_TWENTY_OnClick()
		GoHv5_DeathKnight_Data.config.Mana_Percentage = .20;
		GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "20";
		GoH_Mana_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Mana_20");
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES" then
		    PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - MANA 15%
function GoH_Settings_MANA_FIFTEEN_OnClick()
		GoHv5_DeathKnight_Data.config.Mana_Percentage = .15;
		GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "15";
		GoH_Mana_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Mana_15");
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES" then
		    PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - MANA 10%
function GoH_Settings_MANA_TEN_OnClick()
		GoHv5_DeathKnight_Data.config.Mana_Percentage = .10;
		GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "10";
		GoH_Mana_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Mana_10");
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES" then
		    PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - MANA 5%
function GoH_Settings_MANA_FIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Mana_Percentage = .05;
		GoHv5_DeathKnight_Data.config.Mana_Percentage_Value = "5";
		GoH_Mana_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Mana_5");
	    if GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES" then
		    PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartmonitor.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end

-- SETTINGS - HEALTH 25%
function GoH_Settings_HEALTH_TWENTYFIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .25;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "25";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_25");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - HEALTH 20%
function GoH_Settings_HEALTH_TWENTY_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .20;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "20";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_20");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - HEALTH 15%
function GoH_Settings_HEALTH_FIFTEEN_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .15;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "15";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_15");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - HEALTH 10%
function GoH_Settings_HEALTH_TEN_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .10;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "10";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_10");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end
-- SETTINGS - HEALTH 5%
function GoH_Settings_HEALTH_FIVE_OnClick()
		GoHv5_DeathKnight_Data.config.Health_Percentage = .05;
		GoHv5_DeathKnight_Data.config.Health_Percentage_Value = "5";
		GoH_Health_Frame_Texture:SetTexture("interface\\Addons\\GoH\\Images\\GoH_Health_5");
	    if GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES" then
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
    	else
    		PlaySound("igMainMenuOptionCheckBoxOn");
		end
end

-- DEATH KNIGHT MENU PAGE TAB TWO
function GoH_Settings_MenuButton_Page_Two_OnClick()
		-- GO TO PAGE TWO
		GoH_SETTINGS_PAGE_TAB_TWO_BUTTON_ICON:Disable();
		GoH_Frame:Hide();

		GoH_SETTINGS_PAGE_TAB_ONE_BUTTON_ICON:Enable();
		GoH_Frame_Page2:Show();

		GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "TWO";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- DEATH KNIGHT MENU PAGE TAB ONE
function GoH_Settings_MenuButton_Page_One_OnClick()
		-- GO TO PAGE ONE
		GoH_SETTINGS_PAGE_TAB_ONE_BUTTON_ICON:Disable();
		GoH_Frame_Page2:Hide();

		GoH_SETTINGS_PAGE_TAB_TWO_BUTTON_ICON:Enable();
		GoH_Frame:Show();

		GoHv5_DeathKnight_Data.config.Settings_Page_Tab = "ONE";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- SETTINGS PLAY FATALITY SOUND
function GoH_Settings_MenuButton_PlayFatalitySound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC
function GoH_Settings_MenuButton_PlayFightMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT SOUND
function GoH_Settings_MenuButton_PlayFightSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY OPEN AND CLOSE MENU SOUNDS
function GoH_Settings_MenuButton_PlayOpenAndCloseSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES"
	    	PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.ogg","Master")
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- HUMAN RACIAL: EVERY MAN FOR HIMSELF
function GoH_Settings_MenuButton_PlayEveryManForHimself_OnClick()
	    if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "NO" then
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- NIGHTELF RACIAL: SHADOWMELD
function GoH_Settings_MenuButton_PlayShadowMeld_OnClick()
	    if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == "NO" then
	    	GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE GUILD INVITES
function GoH_Settings_AutoDecline_Guild_Invites_OnClick()

		-- INTERACT WITH MAIN BLIZZARD MENU OPTION
		local value = ((GetAutoDeclineGuildInvites() and "1") or "0")
		-- print(value);
		if ( value == "1" ) then
			PlaySound("igMainMenuOptionCheckBoxOff");
			SetAutoDeclineGuildInvites(0);
		else
			PlaySound("igMainMenuOptionCheckBoxOn");
			SetAutoDeclineGuildInvites(1);
		end

	-- REFRESH TEXT AND BUTTON IMAGES
	doSet_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE TRADE REQUESTS
function GoH_Settings_AutoDecline_Trade_Requests_OnClick()

		if GetCVar("BlockTrades") == "0" then
			PlaySound("igMainMenuOptionCheckBoxOn");
			SetCVar("BlockTrades", 1);
		elseif GetCVar("BlockTrades") == "1" then
			PlaySound("igMainMenuOptionCheckBoxOff");
			SetCVar("BlockTrades", 0);
		end

	-- REFRESH TEXT AND BUTTON IMAGES
	doSet_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE CHARTER PETITION REQUESTS
function GoH_Settings_AutoDecline_Charter_Petition_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE GROUP PARTY INVITE REQUESTS
function GoH_Settings_AutoDecline_Party_Invites_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Party_Invites == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Party_Invites = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Party_Invites = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE ARENA TEAM INVITE REQUESTS
function GoH_Settings_AutoDecline_Arena_Team_Invites_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Arena_Invites == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE DUEL REQUESTS
function GoH_Settings_AutoDecline_Duel_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Duel_Requests == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE WHISPER REPLY REQUESTS
function GoH_Settings_AutoDecline_Whisper_Reply_OnClick()

	GoH5_DeathKnight_SavedVariables();

	if GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == "NO" then
		GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDecline_Whisper_Reply_Images();
end

-- SETTINGS OPTION:  AUTO-DND AUCTION HOUSE
function GoH_Settings_AutoDND_Auction_House_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images();
end

-- SETTINGS OPTION:  AUTO-DND IN COMBAT
function GoH_Settings_AutoDND_In_Combat_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == "NO" then
			PlaySound("igMainMenuOptionCheckBoxOn");
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images();
end

-- SETTINGS OPTION:  AUTO-DND AUCTION HOUSE WHISPER REPLY
function GoH_Settings_AutoDND_Auction_House_Whisper_Reply_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images();
end


-- SETTINGS OPTION:  AUTO-DND IN COMBAT WHISPER REPLY
function GoH_Settings_AutoDND_In_Combat_Whisper_Reply_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images();
end

-- SETTINGS SHOW MINIMAP ICON
function GoH_Settings_MenuButton_ShowMinimapIcon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    	GoH_MinimapButton:Show();
	    else
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    	GoH_MinimapButton:Hide();
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS SHOW MINIMAP SPEC ICON
function GoH_Settings_MenuButton_ShowMinimapSpecIcon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    	GoH_MinimapButton:Show();
	    else
	    	GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    	GoH_MinimapButton:Hide();
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS USE MK FONT
function GoH_Settings_Use_MK_Font_OnClick()

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == "NO" then
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
   		       UIErrorsFrame:SetFont("Interface\\AddOns\\GoH\\Font\\AKIRA__.ttf", 25, "OUTLINE")
		       UIErrorsFrame:AddMessage("MK FONT: ON", 1.0, 0.25, 0.25);
	else
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
   		       UIErrorsFrame:SetFont("Fonts\\FRIZQT__.ttf", 16)
   		       -- DEFAULT_CHAT_FRAME:SetFont("Fonts\\ARIALN.TTF", 14)
		       UIErrorsFrame:AddMessage("MK FONT: OFF", 1.0, 0.25, 0.25);
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS USE HEALTH WARNING
function GoH_Settings_Use_Health_Warning_OnClick()

	if GoHv5_DeathKnight_Data.config.Use_Health_Warning == "NO" then
		GoHv5_DeathKnight_Data.config.Use_Health_Warning = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Use_Health_Warning = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS USE MANA WARNING
function GoH_Settings_Use_Mana_Warning_OnClick()

	if GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "NO" then
		GoHv5_DeathKnight_Data.config.Use_Mana_Warning = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Use_Mana_Warning = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- WORGEN RACIAL: TWO FORMS
function GoH_Settings_MenuButton_PlayTwoForms_OnClick()
	    if GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- GNOME RACIAL: ESCAPE ARTIST
function GoH_Settings_MenuButton_PlayEscapeArtist_OnClick()
	    if GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- DRAENEI RACIAL: GIFT OF THE NAARU
function GoH_Settings_MenuButton_PlayGiftOfTheNaaru_OnClick()
	    if GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\HolyPower_1.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- DWARF RACIAL: STONEFORM
function GoH_Settings_MenuButton_PlayStoneform_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- PANDAREN RACIAL: QUAKING PALM
function GoH_Settings_MenuButton_PlayQuakingPalm_OnClick()
	    if GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Woooaaaoo.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- BLOOD ELF RACIAL: ARCANE TORRENT
function GoH_Settings_MenuButton_PlayArcaneTorrent_OnClick()
	    if GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- GOBLIN RACIAL: ROCKET JUMP
function GoH_Settings_MenuButton_PlayRocketJump_OnClick()
	    if GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- ORC RACIAL: BLOOD FURY
function GoH_Settings_MenuButton_PlayBloodFury_OnClick()
	    if GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- TAUREN RACIAL: WAR STOMP
function GoH_Settings_MenuButton_PlayWarStomp_OnClick()
	    if GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- TROLL RACIAL: BERSERKING
function GoH_Settings_MenuButton_PlayBerserking_OnClick()
	    if GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- UNDEAD RACIAL: WILL OF THE FORSAKEN
function GoH_Settings_MenuButton_PlayWillOfTheForsaken_OnClick()
	    if GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial == "NO" then
	    	GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Laugh4_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTING: USE AURA SOURCE
function GoH_Settings_MenuButton_UseAuraSource_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTING: USE MOUSE OVER TOOLTIP
function GoH_Settings_MenuButton_UseMouseOverTooltip_OnClick()
	PlaySound("igMainMenuOptionCheckBoxOn");
	SMouseTarget_Console("gohtip");

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- Warrior SPELL: TAUNT
function GoH_Deathknight_MenuButton_Taunt_OnClick()
	    if GoHv5_DeathKnight_Data.config.Taunt == "NO" then
	    	GoHv5_DeathKnight_Data.config.Taunt = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Taunt = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- Priest Leap of Faith SPELL: 
function GoH_Deathknight_MenuButton_Leap_of_Faith_OnClick()
	    if GoHv5_DeathKnight_Data.config.Leap_of_Faith == "NO" then
	    	GoHv5_DeathKnight_Data.config.Leap_of_Faith = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Leap_of_Faith = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- Priest PHYCHIC SCREAM SPELL: 
function GoH_Deathknight_MenuButton_phychic_scream_OnClick()
	    if GoHv5_DeathKnight_Data.config.phychic_scream == "NO" then
	    	GoHv5_DeathKnight_Data.config.phychic_scream = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.phychic_scream = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- PALLY HAND OF RECKONING SPELL: 
function GoH_Deathknight_MenuButton_Hand_of_Reckoning_OnClick()
	    if GoHv5_DeathKnight_Data.config.Hand_of_Reckoning == "NO" then
	    	GoHv5_DeathKnight_Data.config.Hand_of_Reckoning = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Hand_of_Reckoning = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- WARLOCK MORTAL COIL SPELL: 
function GoH_Deathknight_MenuButton_Mortal_Coil_OnClick()
	    if GoHv5_DeathKnight_Data.config.Mortal_Coil == "NO" then
	    	GoHv5_DeathKnight_Data.config.Mortal_Coil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Mortal_Coil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- WARLOCK HOWL OF TERROR SPELL: 
function GoH_Deathknight_MenuButton_Howl_of_Terror_OnClick()
	    if GoHv5_DeathKnight_Data.config.Howl_of_Terror == "NO" then
	    	GoHv5_DeathKnight_Data.config.Howl_of_Terror = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Howl_of_Terror = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- MONK PROVOKE SPELL: 
function GoH_Deathknight_MenuButton_Provoke_OnClick()
	    if GoHv5_DeathKnight_Data.config.Provoke == "NO" then
	    	GoHv5_DeathKnight_Data.config.Provoke = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Provoke = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- DRUID GROWL SPELL: 
function GoH_Deathknight_MenuButton_Growl_OnClick()
	    if GoHv5_DeathKnight_Data.config.Growl == "NO" then
	    	GoHv5_DeathKnight_Data.config.Growl = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Growl = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Settings_Set_Menu_Button_Images()

	GoH5_DeathKnight_SavedVariables();
	doSet_Menu_Button_Images();
	
	-- ###################################################################################################
        -- ###################################################################################################
		--      DRUID GROWL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_GROWL_ICON:SetHighlightTexture(DeathKnight_Growl_Icon);
		GoH_DEATHKNIGHT_GROWL_ICON:SetPushedTexture(DeathKnight_Growl_Icon);
		GoH_DEATHKNIGHT_GROWL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Growl == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_GROWL_ICON:SetNormalTexture(DeathKnight_Growl_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Growl_Text:SetText("|cFF00AA00" .. DeathKnight_Growl_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Growl_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Growl_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_GROWL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Growl_Text:SetText("|cFFFF0000" .. DeathKnight_Growl_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Growl_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Growl_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--      MONK PROVOKE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PROVOKE_ICON:SetHighlightTexture(DeathKnight_Provoke_Icon);
		GoH_DEATHKNIGHT_PROVOKE_ICON:SetPushedTexture(DeathKnight_Provoke_Icon);
		GoH_DEATHKNIGHT_PROVOKE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Provoke == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PROVOKE_ICON:SetNormalTexture(DeathKnight_Provoke_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Provoke_Text:SetText("|cFF00AA00" .. DeathKnight_Provoke_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Provoke_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Provoke_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PROVOKE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Provoke_Text:SetText("|cFFFF0000" .. DeathKnight_Provoke_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Provoke_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Provoke_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK HOWL OF TERROR
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_HOWL_OF_TERROR_ICON:SetHighlightTexture(DeathKnight_Howl_of_Terror_Icon);
		GoH_DEATHKNIGHT_HOWL_OF_TERROR_ICON:SetPushedTexture(DeathKnight_Howl_of_Terror_Icon);
		GoH_DEATHKNIGHT_HOWL_OF_TERROR_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Howl_of_Terror == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_HOWL_OF_TERROR_ICON:SetNormalTexture(DeathKnight_Howl_of_Terror_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Howl_of_Terror_Text:SetText("|cFF00AA00" .. DeathKnight_Howl_of_Terror_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Howl_of_Terror_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Howl_of_Terror_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_HOWL_OF_TERROR_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Howl_of_Terror_Text:SetText("|cFFFF0000" .. DeathKnight_Howl_of_Terror_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Howl_of_Terror_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Howl_of_Terror_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK MORTAL COIL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_MORTAL_COIL_ICON:SetHighlightTexture(DeathKnight_Mortal_Coil_Icon);
		GoH_DEATHKNIGHT_MORTAL_COIL_ICON:SetPushedTexture(DeathKnight_Mortal_Coil_Icon);
		GoH_DEATHKNIGHT_MORTAL_COIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Mortal_Coil == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_MORTAL_COIL_ICON:SetNormalTexture(DeathKnight_Mortal_Coil_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Mortal_Coil_Text:SetText("|cFF00AA00" .. DeathKnight_Mortal_Coil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mortal_Coil_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Mortal_Coil_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_MORTAL_COIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Mortal_Coil_Text:SetText("|cFFFF0000" .. DeathKnight_Mortal_Coil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mortal_Coil_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Mortal_Coil_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     PALLY HAND OF RECKONING
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_HAND_OF_RECKONING_ICON:SetHighlightTexture(DeathKnight_Hand_of_Reckoning_Icon);
		GoH_DEATHKNIGHT_HAND_OF_RECKONING_ICON:SetPushedTexture(DeathKnight_Hand_of_Reckoning_Icon);
		GoH_DEATHKNIGHT_HAND_OF_RECKONING_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Hand_of_Reckoning == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_HAND_OF_RECKONING_ICON:SetNormalTexture(DeathKnight_Hand_of_Reckoning_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Hand_of_Reckoning_Text:SetText("|cFF00AA00" .. DeathKnight_Hand_of_Reckoning_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Hand_of_Reckoning_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Hand_of_Reckoning_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_HAND_OF_RECKONING_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Hand_of_Reckoning_Text:SetText("|cFFFF0000" .. DeathKnight_Hand_of_Reckoning_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Hand_of_Reckoning_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Hand_of_Reckoning_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest PHYCHIC SCREAM
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PHYCHIC_SCREAM_ICON:SetHighlightTexture(DeathKnight_phychic_scream_Icon);
		GoH_DEATHKNIGHT_PHYCHIC_SCREAM_ICON:SetPushedTexture(DeathKnight_phychic_scream_Icon);
		GoH_DEATHKNIGHT_PHYCHIC_SCREAM_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.phychic_scream == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PHYCHIC_SCREAM_ICON:SetNormalTexture(DeathKnight_phychic_scream_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_phychic_scream_Text:SetText("|cFF00AA00" .. DeathKnight_phychic_scream_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_phychic_scream_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_phychic_scream_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PHYCHIC_SCREAM_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_phychic_scream_Text:SetText("|cFFFF0000" .. DeathKnight_phychic_scream_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_phychic_scream_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_phychic_scream_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     Priest Leap of Faith
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_LEAP_OF_FAITH_ICON:SetHighlightTexture(DeathKnight_Leap_of_Faith_Icon);
		GoH_DEATHKNIGHT_LEAP_OF_FAITH_ICON:SetPushedTexture(DeathKnight_Leap_of_Faith_Icon);
		GoH_DEATHKNIGHT_LEAP_OF_FAITH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Leap_of_Faith == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_LEAP_OF_FAITH_ICON:SetNormalTexture(DeathKnight_Leap_of_Faith_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Leap_of_Faith_Text:SetText("|cFF00AA00" .. DeathKnight_Leap_of_Faith_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Leap_of_Faith_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Leap_of_Faith_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_LEAP_OF_FAITH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Leap_of_Faith_Text:SetText("|cFFFF0000" .. DeathKnight_Leap_of_Faith_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Leap_of_Faith_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Leap_of_Faith_Name .. "?" .. "|r")

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     TAUNT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_TAUNT_ICON:SetHighlightTexture(DeathKnight_Taunt_Icon);
		GoH_DEATHKNIGHT_TAUNT_ICON:SetPushedTexture(DeathKnight_Taunt_Icon);
		GoH_DEATHKNIGHT_TAUNT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Taunt == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_TAUNT_ICON:SetNormalTexture(DeathKnight_Taunt_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Taunt_Text:SetText("|cFF00AA00" .. DeathKnight_Taunt_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Taunt_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Taunt_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_TAUNT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Taunt_Text:SetText("|cFFFF0000" .. DeathKnight_Taunt_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Taunt_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Taunt_Name .. "?" .. "|r")

		end

	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW MOUSE OVER TOOLTIP ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (SMouseTarget_Saved["off"] == 1) then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Use_MouseOverTooltip_Text:SetText("|cFF00AA00Mouse Over Tooltip?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_MOUSEOVER_TOOLTIP:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Use_MouseOverTooltip_Text:SetText("|cFFFF0000Mouse Over Tooltip?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW AURA SOURCE ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_AURA_SOURCE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_AURA_SOURCE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_AURA_SOURCE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_Tooltip_AuraSource == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_AURA_SOURCE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Use_Aura_Source_Text:SetText("|cFF00AA00Show Aura Source?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_AURA_SOURCE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Use_Aura_Source_Text:SetText("|cFFFF0000Show Aura Source?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
		--     USE MANA WARNING SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
		end
        -- ###################################################################################################
       -- ###################################################################################################
		--     USE HEALTH WARNING SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Health_Warning_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
		end
        -- ###################################################################################################
       -- ###################################################################################################
		--     USE HEALTH WARNING EMOTE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Health_Warning_Emote == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");
		end
        -- ###################################################################################################
       -- ###################################################################################################
		--     USE MANA WARNING EMOTE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_DISABLE");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Emote == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");
		end
        -- ###################################################################################################
	-- ###################################################################################################
	-- USE MANA WARNING ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_MANA_WARNING_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MANA_WARNING_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MANA_WARNING_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_MANA_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		GoH_Mana_Frame:Show();
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Enable();
		GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:Enable();
		Settings_Use_Mana_Warning_Icon_Text:SetText("|cFF00AA00Mana Warning?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_MANA_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		GoH_Mana_Frame:Hide();
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Disable();
		GoH_SETTINGS_USE_MANA_WARNING_EMOTE_ICON:Disable();
		Settings_Use_Mana_Warning_Icon_Text:SetText("|cFFFF0000Mana Warning?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- USE HEALTH WARNING ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_Health_Warning == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		GoH_Health_Frame:Show();
		GoH_Disabled_Health_Frame:Hide();
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:Enable();
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:Enable();
		Settings_Use_Health_Warning_Icon_Text:SetText("|cFF00AA00Health Warning?|r");

	else
		GoH_SETTINGS_USE_HEALTH_WARNING_SOUND_ICON:Disable();
		GoH_SETTINGS_USE_HEALTH_WARNING_EMOTE_ICON:Disable();
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_HEALTH_WARNING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "YES") then
			GoH_Health_Frame:Hide();
			GoH_Disabled_Health_Frame:Show();
		else
			if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "NO") then
				GoH_Disabled_Health_Frame:Hide();
				GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Disable();
			end
			GoH_Health_Frame:Hide();
		end
		Settings_Use_Health_Warning_Icon_Text:SetText("|cFFFF0000Health Warning?|r");
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- USE MORTAL KOMBAT MK FONT ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_USE_MK_FONT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MK_FONT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_USE_MK_FONT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_MK_Font == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_USE_MK_FONT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Use_MK_Font_Icon_Text:SetText("|cFF00AA00Use GoH MK Font?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_USE_MK_FONT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Use_MK_Font_Icon_Text:SetText("|cFFFF0000Use GoH MK Font?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW OR HIDE THE MINIMAP ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Show_Minimap_Icon_Text:SetText("|cFF00AA00Minimap Icon?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Show_Minimap_Icon_Text:SetText("|cFFFF0000Minimap Icon?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW OR HIDE THE MINIMAP SPEC ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Use_Minimap_Spec_Icon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");

	end
	if (GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "NO") then
		GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:Disable();
	else
		GoH_SETTINGS_SHOW_MINIMAP_SPEC_ICON:Enable();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE DUEL REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Duel_Requests == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE ARENA TEAM INVITE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Arena_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE GROUP PARTY INVITE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Party_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE CHARTER PETITION REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FATALITY SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fatality_Sound_Text:SetText("|cFF00AA00Play 'Fatality!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fatality_Sound_Text:SetText("|cFFFF0000Play 'Fatality!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Sound_Text:SetText("|cFF00AA00Play 'Fight!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Sound_Text:SetText("|cFFFF0000Play 'Fight!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Music_Text:SetText("|cFF00AA00Play 'Fight!' Music|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Music_Text:SetText("|cFFFF0000Play 'Fight!' Music|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY OPEN AND CLOSE MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFF00AA00Play 'Menu' Sounds|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFFFF0000Play 'Menu' Sounds|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- HUMAN RACIAL - EVERY MAN FOR HIMSELF
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetHighlightTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetPushedTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture(Human_Every_Man_For_Himself_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFF00AA00" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFFFF0000" .. "Disable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFFFF0000" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFF00AA00" .. "Enable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT HUMAN
	if GoH_DeathKnight.Race == "Human" then
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Show();
		Settings_Play_HumanRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Hide();
		Settings_Play_HumanRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- NIGHTELF RACIAL - SHADOWMELD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetHighlightTexture(NightElf_Racial_Shadowmeld_Icon);
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetPushedTexture(NightElf_Racial_Shadowmeld_Icon);
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetNormalTexture(NightElf_Racial_Shadowmeld_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_NightElfRacial_Sound_Text:SetText("|cFF00AA00" .. NightElf_Racial_Shadowmeld_Name .. "|r");
		-- MODIFY THE TOOLTIP
		NightElfRacial_ShadowMeld_Tooltip = ("|cFFFF0000" .. "Disable " .. NightElf_Racial_Shadowmeld_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_NightElfRacial_Sound_Text:SetText("|cFFFF0000" .. NightElf_Racial_Shadowmeld_Name .. "|r");
		-- MODIFY THE TOOLTIP
		NightElfRacial_ShadowMeld_Tooltip = ("|cFF00AA00" .. "Enable " .. NightElf_Racial_Shadowmeld_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT NIGHTELF
	if GoH_DeathKnight.Race == "NightElf" then
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Show();
		Settings_Play_NightElfRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Hide();
		Settings_Play_NightElfRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- WORGEN RACIAL - TWO FORMS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:SetHighlightTexture(Worgen_Two_Forms_Icon);
	GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:SetPushedTexture(Worgen_Two_Forms_Icon);
	GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Worgen_Two_Forms_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:SetNormalTexture(Worgen_Two_Forms_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_WorgenRacial_Sound_Text:SetText("|cFF00AA00" .. Worgen_Two_Forms_Name .. "|r");
		-- MODIFY THE TOOLTIP
		WorgenRacial_TwoForms_Tooltip = ("|cFFFF0000" .. "Disable " .. Worgen_Two_Forms_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_WorgenRacial_Sound_Text:SetText("|cFFFF0000" .. Worgen_Two_Forms_Name .. "|r");
		-- MODIFY THE TOOLTIP
		WorgenRacial_TwoForms_Tooltip = ("|cFF00AA00" .. "Enable " .. Worgen_Two_Forms_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT WORGEN
	if GoH_DeathKnight.Race == "Worgen" then
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:Show();
		Settings_Play_WorgenRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_WORGENRACIAL_SOUND:Hide();
		Settings_Play_WorgenRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- GNOME RACIAL - ESCAPE ARTIST
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:SetHighlightTexture(Gnome_Escape_Artist_Icon);
	GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:SetPushedTexture(Gnome_Escape_Artist_Icon);
	GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Gnome_Escape_Artist_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:SetNormalTexture(Gnome_Escape_Artist_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_GnomeRacial_Sound_Text:SetText("|cFF00AA00" .. Gnome_Escape_Artist_Name .. "|r");
		-- MODIFY THE TOOLTIP
		GnomeRacial_EscapeArtist_Tooltip = ("|cFFFF0000" .. "Disable " .. Gnome_Escape_Artist_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_GnomeRacial_Sound_Text:SetText("|cFFFF0000" .. Gnome_Escape_Artist_Name .. "|r");
		-- MODIFY THE TOOLTIP
		GnomeRacial_EscapeArtist_Tooltip = ("|cFF00AA00" .. "Enable " .. Gnome_Escape_Artist_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT GNOME
	if GoH_DeathKnight.Race == "Gnome" then
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:Show();
		Settings_Play_GnomeRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_GNOMERACIAL_SOUND:Hide();
		Settings_Play_GnomeRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DRAENEI RACIAL - GIFT OF THE NAARU
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:SetHighlightTexture(Draenei_Gift_of_the_Naaru_Icon);
	GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:SetPushedTexture(Draenei_Gift_of_the_Naaru_Icon);
	GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Draenei_Gift_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:SetNormalTexture(Draenei_Gift_of_the_Naaru_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_DraeneiRacial_Sound_Text:SetText("|cFF00AA00" .. Draenei_Gift_of_the_Naaru_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DraeneiRacial_Gift_Tooltip = ("|cFFFF0000" .. "Disable " .. Draenei_Gift_of_the_Naaru_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_DraeneiRacial_Sound_Text:SetText("|cFFFF0000" .. Draenei_Gift_of_the_Naaru_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DraeneiRacial_Gift_Tooltip = ("|cFF00AA00" .. "Enable " .. Draenei_Gift_of_the_Naaru_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT DRAENEI
	if GoH_DeathKnight.Race == "Draenei" then
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:Show();
		Settings_Play_DraeneiRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_DRAENEIRACIAL_SOUND:Hide();
		Settings_Play_DraeneiRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DWARF RACIAL - STONEFORM
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:SetHighlightTexture(Dwarve_Stoneform_Icon);
	GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:SetPushedTexture(Dwarve_Stoneform_Icon);
	GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Dwarve_Stoneform_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:SetNormalTexture(Dwarve_Stoneform_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_DwarfRacial_Sound_Text:SetText("|cFF00AA00" .. Dwarve_Stoneform_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DwarfRacial_Stoneform_Tooltip = ("|cFFFF0000" .. "Disable " .. Dwarve_Stoneform_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_DwarfRacial_Sound_Text:SetText("|cFFFF0000" .. Dwarve_Stoneform_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DwarfRacial_Stoneform_Tooltip = ("|cFF00AA00" .. "Enable " .. Dwarve_Stoneform_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT DWARF
	if GoH_DeathKnight.Race == "Dwarf" then
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:Show();
		Settings_Play_DwarfRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_DWARFRACIAL_SOUND:Hide();
		Settings_Play_DwarfRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PANDAREN RACIAL - QUAKING PALM
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:SetHighlightTexture(Pandaren_Quaking_Palm_Icon);
	GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:SetPushedTexture(Pandaren_Quaking_Palm_Icon);
	GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Pandaren_Quaking_Palm_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:SetNormalTexture(Pandaren_Quaking_Palm_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_PandarenRacial_Sound_Text:SetText("|cFF00AA00" .. Pandaren_Quaking_Palm_Name .. "|r");
		-- MODIFY THE TOOLTIP
		PandarenRacial_QuakingPalm_Tooltip = ("|cFFFF0000" .. "Disable " .. Pandaren_Quaking_Palm_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_PandarenRacial_Sound_Text:SetText("|cFFFF0000" .. Pandaren_Quaking_Palm_Name .. "|r");
		-- MODIFY THE TOOLTIP
		PandarenRacial_QuakingPalm_Tooltip = ("|cFF00AA00" .. "Enable " .. Pandaren_Quaking_Palm_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT PANDAREN
	if GoH_DeathKnight.Race == "Pandaren" then
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:Show();
		Settings_Play_PandarenRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_PANDARENRACIAL_SOUND:Hide();
		Settings_Play_PandarenRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- BLOOD ELF RACIAL - ARCANE TORRENT
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:SetHighlightTexture(BloodElf_Arcane_Torrent_Icon);
	GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:SetPushedTexture(BloodElf_Arcane_Torrent_Icon);
	GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.BloodElf_Arcane_Torrent_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:SetNormalTexture(BloodElf_Arcane_Torrent_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_BloodElfRacial_Sound_Text:SetText("|cFF00AA00" .. BloodElf_Arcane_Torrent_Name .. "|r");
		-- MODIFY THE TOOLTIP
		BloodElfRacial_ArcaneTorrent_Tooltip = ("|cFFFF0000" .. "Disable " .. BloodElf_Arcane_Torrent_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_BloodElfRacial_Sound_Text:SetText("|cFFFF0000" .. BloodElf_Arcane_Torrent_Name .. "|r");
		-- MODIFY THE TOOLTIP
		BloodElfRacial_ArcaneTorrent_Tooltip = ("|cFF00AA00" .. "Enable " .. BloodElf_Arcane_Torrent_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT BLOOD ELF
	if (GoH_DeathKnight.Race == "BloodElf") or (GoH_DeathKnight.Race == "Blood Elf") then
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:Show();
		Settings_Play_BloodElfRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_BLOODELFRACIAL_SOUND:Hide();
		Settings_Play_BloodElfRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- GOBLIN RACIAL - ROCKET JUMP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:SetHighlightTexture(Goblin_Rocket_Jump_Icon);
	GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:SetPushedTexture(Goblin_Rocket_Jump_Icon);
	GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Goblin_Rocket_Jump_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:SetNormalTexture(Goblin_Rocket_Jump_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_GoblinRacial_Sound_Text:SetText("|cFF00AA00" .. Goblin_Rocket_Jump_Name .. "|r");
		-- MODIFY THE TOOLTIP
		GoblinRacial_RocketJump_Tooltip = ("|cFFFF0000" .. "Disable " .. Goblin_Rocket_Jump_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_GoblinRacial_Sound_Text:SetText("|cFFFF0000" .. Goblin_Rocket_Jump_Name .. "|r");
		-- MODIFY THE TOOLTIP
		GoblinRacial_RocketJump_Tooltip = ("|cFF00AA00" .. "Enable " .. Goblin_Rocket_Jump_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT GOBLIN
	if GoH_DeathKnight.Race == "Goblin" then
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:Show();
		Settings_Play_GoblinRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_GOBLINRACIAL_SOUND:Hide();
		Settings_Play_GoblinRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- ORC RACIAL - BLOOD FURY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:SetHighlightTexture(Orc_Blood_Fury_Icon);
	GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:SetPushedTexture(Orc_Blood_Fury_Icon);
	GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Orc_Blood_Fury_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:SetNormalTexture(Orc_Blood_Fury_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_OrcRacial_Sound_Text:SetText("|cFF00AA00" .. Orc_Blood_Fury_Name .. "|r");
		-- MODIFY THE TOOLTIP
		OrcRacial_BloodyFury_Tooltip = ("|cFFFF0000" .. "Disable " .. Orc_Blood_Fury_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_OrcRacial_Sound_Text:SetText("|cFFFF0000" .. Orc_Blood_Fury_Name .. "|r");
		-- MODIFY THE TOOLTIP
		OrcRacial_BloodyFury_Tooltip = ("|cFF00AA00" .. "Enable " .. Orc_Blood_Fury_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT ORC
	if GoH_DeathKnight.Race == "Orc" then
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:Show();
		Settings_Play_OrcRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_ORCRACIAL_SOUND:Hide();
		Settings_Play_OrcRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- TAUREN RACIAL - WAR STOMP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:SetHighlightTexture(Tauren_War_Stomp_Icon);
	GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:SetPushedTexture(Tauren_War_Stomp_Icon);
	GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Tauren_War_Stomp_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:SetNormalTexture(Tauren_War_Stomp_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_TaurenRacial_Sound_Text:SetText("|cFF00AA00" .. Tauren_War_Stomp_Name .. "|r");
		-- MODIFY THE TOOLTIP
		TaurenRacial_WarStomp_Tooltip = ("|cFFFF0000" .. "Disable " .. Tauren_War_Stomp_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_TaurenRacial_Sound_Text:SetText("|cFFFF0000" .. Tauren_War_Stomp_Name .. "|r");
		-- MODIFY THE TOOLTIP
		TaurenRacial_WarStomp_Tooltip = ("|cFF00AA00" .. "Enable " .. Tauren_War_Stomp_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT TAUREN
	if GoH_DeathKnight.Race == "Tauren" then
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:Show();
		Settings_Play_TaurenRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_TAURENRACIAL_SOUND:Hide();
		Settings_Play_TaurenRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- TROLL RACIAL - BERSERKING
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:SetHighlightTexture(Troll_Berserking_Icon);
	GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:SetPushedTexture(Troll_Berserking_Icon);
	GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Troll_Berserking_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:SetNormalTexture(Troll_Berserking_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_TrollRacial_Sound_Text:SetText("|cFF00AA00" .. Troll_Berserking_Name .. "|r");
		-- MODIFY THE TOOLTIP
		TrollRacial_Berserking_Tooltip = ("|cFFFF0000" .. "Disable " .. Troll_Berserking_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_TrollRacial_Sound_Text:SetText("|cFFFF0000" .. Troll_Berserking_Name .. "|r");
		-- MODIFY THE TOOLTIP
		TrollRacial_Berserking_Tooltip = ("|cFF00AA00" .. "Enable " .. Troll_Berserking_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT TROLL
	if GoH_DeathKnight.Race == "Troll" then
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:Show();
		Settings_Play_TrollRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_TROLLRACIAL_SOUND:Hide();
		Settings_Play_TrollRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- UNDEAD RACIAL - WILL OF THE FORSAKEN
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:SetHighlightTexture(Undead_Will_of_the_Forsaken_Icon);
	GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:SetPushedTexture(Undead_Will_of_the_Forsaken_Icon);
	GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Undead_Will_of_the_Forsaken_Racial == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:SetNormalTexture(Undead_Will_of_the_Forsaken_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_UndeadRacial_Sound_Text:SetText("|cFF00AA00" .. Undead_Will_of_the_Forsaken_Name .. "|r");
		-- MODIFY THE TOOLTIP
		UndeadRacial_WillOfTheForsaken_Tooltip = ("|cFFFF0000" .. "Disable " .. Undead_Will_of_the_Forsaken_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_UndeadRacial_Sound_Text:SetText("|cFFFF0000" .. Undead_Will_of_the_Forsaken_Name .. "|r");
		-- MODIFY THE TOOLTIP
		UndeadRacial_WillOfTheForsaken_Tooltip = ("|cFF00AA00" .. "Enable " .. Undead_Will_of_the_Forsaken_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT UNDEAD
	if (GoH_DeathKnight.Race == "Undead") or (GoH_DeathKnight.Race == "Forsaken") or (GoH_DeathKnight.Race == "Scourge") then
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:Show();
		Settings_Play_UndeadRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_UNDEADRACIAL_SOUND:Hide();
		Settings_Play_UndeadRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################

	if ((GoH_DeathKnight.Class == "DEATHKNIGHT") or (GoH_DeathKnight.Class == "HUNTER") or (GoH_DeathKnight.Class == "MONK") or (GoH_DeathKnight.Class == "ROGUE") or (GoH_DeathKnight.Class == "WARRIOR")) then
			GoH_Mana_Frame:Hide();
			GoH_Disabled_Health_Frame:Hide();
			GoH_SETTINGS_USE_MANA_WARNING_ICON:Disable();
			GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Disable();
			Settings_Use_Mana_Warning_Icon_Text:SetText("|cFF888888No Mana For You!|r");
			GoHv5_DeathKnight_Data.config.Use_Mana_Warning = "NO";
			GoHv5_DeathKnight_Data.config.Use_Mana_Warning_Sound = "NO";
	else
			GoH_SETTINGS_USE_MANA_WARNING_ICON:Enable();
			GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Enable();
	end
	if (GoHv5_DeathKnight_Data.config.Use_Mana_Warning == "NO") then
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Disable();
	else
		GoH_SETTINGS_USE_MANA_WARNING_SOUND_ICON:Enable();
	end

end

function doSet_Menu_Button_Images()

	GoH5_DeathKnight_SavedVariables();

	-- ###################################################################################################
	-- AUTODECLINE TRADE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Trade_Requests == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE GUILD INVITES
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Guild_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################

end

function GoH_Settings_Set_AutoDecline_Whisper_Reply_Images()

	GoH5_DeathKnight_SavedVariables();

	-- ###################################################################################################
	-- AUTODECLINE SEND WHISPER REPLY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	    	GoH5_EditBox_Whisper_Reply_Message:Enable();
	    	GoH5_EditBox_Whisper_Reply_Message:SetTextColor(1.0, 1.0, 1.0);
			GoH5_EditBox_Whisper_Reply_Message:SetFocus(); GoH5_EditBox_Whisper_Reply_Message:EnableKeyboard(true);

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	    	GoH5_EditBox_Whisper_Reply_Message:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_Whisper_Reply_Message:Disable();

	end
	-- ###################################################################################################

end

function GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images()

	GoH5_DeathKnight_SavedVariables();

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		end
        -- ###################################################################################################

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_ON");
	    	GoH5_EditBox_Settings_Auction_House_Reply:Enable();
	    	GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(1.0, 1.0, 1.0);
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:Enable();
			GoH5_EditBox_Settings_Auction_House_Reply:SetFocus(); GoH5_EditBox_Settings_Auction_House_Reply:EnableKeyboard(true);
			if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "NO") then
					-- CHANGE THE ICON TO DISABLED
					GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

					GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(1.0, 0.0, 0.0);
					GoH5_EditBox_Settings_Auction_House_Reply:Disable();
			end
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_OFF");
	    	GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(0.3, 0.3, 0.3);
	    	GoH5_EditBox_Settings_Auction_House_Reply:Disable();
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:Disable();

		end
        -- ###################################################################################################

end

function GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images()

 	GoH5_DeathKnight_SavedVariables();

       -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		end
        -- ###################################################################################################

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND IN COMBAT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_ON");
	    	GoH5_EditBox_Settings_In_Combat_Reply:Enable();
	    	GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(1.0, 1.0, 1.0);
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:Enable();
			GoH5_EditBox_Settings_In_Combat_Reply:SetFocus(); GoH5_EditBox_Settings_In_Combat_Reply:EnableKeyboard(true);
			if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "NO") then
					-- CHANGE THE ICON TO DISABLED
					GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

					GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(1.0, 0.0, 0.0);
					GoH5_EditBox_Settings_In_Combat_Reply:Disable();
			end
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_OFF");
	    	GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(0.3, 0.3, 0.3);
	    	GoH5_EditBox_Settings_In_Combat_Reply:Disable();
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:Disable();

		end
        -- ###################################################################################################

end
