-- DEATH KNIGHT MENU PAGE TAB TWO
function GoH_Deathknight_MenuButton_Page_Two_OnClick()
		-- GO TO PAGE TWO
		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame_Page2:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "TWO";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- DEATH KNIGHT MENU PAGE TAB ONE
function GoH_Deathknight_MenuButton_Page_One_OnClick()
		-- GO TO PAGE ONE
		GoH_DEATHKNIGHT_PAGE_TAB_ONE_BUTTON_ICON:Disable();
		GoH_DeathKnight_Frame_Page2:Hide();

		GoH_DEATHKNIGHT_PAGE_TAB_TWO_BUTTON_ICON:Enable();
		GoH_DeathKnight_Frame:Show();

		GoHv5_DeathKnight_Data.config.Page_Tab = "ONE";
    	PlaySound("igMainMenuOptionCheckBoxOn");
end

-- DEATH KNIGHT SPELL:  ACHERUS DEATHCHARGER SOUND
function GoH_Deathknight_MenuButton_Acherus_Deathcharger_OnClick()
	    if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == "NO" then
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_DeathCharger_Button_Images();
end

-- DEATH KNIGHT SPELL:  WINGED STEED OF THE EBON BLADE SOUND
function GoH_Deathknight_MenuButton_Winged_Steed_OnClick()
	    if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == "NO" then
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Summon_Mount_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Winged_Steed_Button_Images();
end

-- DEATH KNIGHT SPELL:  ACHERUS DEATHCHARGER NAME
function GoH_Deathknight_MenuButton_Acherus_Deathcharger_Name_OnClick()
	    if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == "NO" then
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_DeathCharger_Button_Images();
end

-- DEATH KNIGHT SPELL:  ACHERUS WINGED STEED NAME
function GoH_Deathknight_MenuButton_Acherus_Winged_Steed_Name_OnClick()
	    if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == "NO" then
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Winged_Steed_Button_Images();
end


-- DEATH KNIGHT PLAY LOGIN SOUND
function GoH_Deathknight_MenuButton_PlayLoginSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES"
	    	PlaySoundFile("Sound\\Creature\\LichKing\\EH_LichKing_Irritated1.ogg","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL TAUNT: DEATH GRIP
function GoH_Deathknight_MenuButton_DeathGrip_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Grip == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Grip = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL: DEATH AND DECAY
function GoH_Deathknight_MenuButton_Death_and_Decay_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_and_Decay == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_and_Decay = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\StealthDetected_Sonar.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_and_Decay = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end


-- DEATH KNIGHT SPELL: DEATH COIL
function GoH_Deathknight_MenuButton_Death_Coil_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Coil == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Coil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Coil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: EMPOWER RUNE WEAPON
function GoH_Deathknight_MenuButton_Empower_Rune_Weapon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "YES"
	    	PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.ogg","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ICEBOUND FORTITUDE
function GoH_Deathknight_MenuButton_Icebound_Fortitude_OnClick()
	    if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == "NO" then
	    	GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\IceboundFortitude_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ANTIMAGIC SHELL
function GoH_Deathknight_MenuButton_AntiMagic_Shell_OnClick()
	    if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == "NO" then
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ANTIMAGIC ZONE
function GoH_Deathknight_MenuButton_AntiMagic_Zone_OnClick()
	    if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == "NO" then
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Under_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: RAISE ALLY
function GoH_Deathknight_MenuButton_Raise_Ally_OnClick()
	    if GoHv5_DeathKnight_Data.config.Raise_Ally == "NO" then
	    	GoHv5_DeathKnight_Data.config.Raise_Ally = "YES"
	    	GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseAlly_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Raise_Ally = "NO"
	    	GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: RAISE DEAD
function GoH_Deathknight_MenuButton_Raise_Dead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Raise_Dead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Raise_Dead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\RaiseDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Raise_Dead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: ARMY OF THE DEAD
function GoH_Deathknight_MenuButton_Army_of_the_Dead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: SUMMON GARGOYLE
function GoH_Deathknight_MenuButton_Summon_Gargoyle_OnClick()
	    if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == "NO" then
	    	GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\SummonGargoyle_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: DARK TRANSFORMATION
function GoH_Deathknight_MenuButton_Dark_Transformation_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Transformation == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Transformation = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Dark_Transformation_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Transformation = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: MIND FREEZE
function GoH_Deathknight_MenuButton_Mind_Freeze_OnClick()
	    if GoHv5_DeathKnight_Data.config.Mind_Freeze == "NO" then
	    	GoHv5_DeathKnight_Data.config.Mind_Freeze = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Mind_Freeze = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL: BLOOD BOIL
function GoH_Deathknight_MenuButton_Blood_Boil_OnClick()
	    if GoHv5_DeathKnight_Data.config.Blood_Boil == "NO" then
	    	GoHv5_DeathKnight_Data.config.Blood_Boil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Toasty_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Blood_Boil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:  DARK COMMAND
function GoH_Deathknight_MenuButton_Dark_Command_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Command == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Command = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Command = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:   CHAINS OF ICE
function GoH_Deathknight_MenuButton_Chains_of_Ice_OnClick()
	    if GoHv5_DeathKnight_Data.config.Chains_of_Ice == "NO" then
	    	GoHv5_DeathKnight_Data.config.Chains_of_Ice = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Chains_of_Ice = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT INCLUDE HEADLESS HORSEMAN IDIOT SOUND
function GoH_Deathknight_Include_Horseman_Sound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "YES"
 		   	PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.ogg","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE RUDE SOUND
function GoH_Deathknight_Include_Rude_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Rude_Sounds = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT INCLUDE GOTCHA SOUND
function GoH_Deathknight_Include_Gotcha_Sounds_OnClick()
	    if GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "YES"
 		   	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound = "NO"
 		   	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();
end

-- DEATH KNIGHT SPELL:   PATH OF FROST
function GoH_Deathknight_MenuButton_Path_of_Frost_OnClick()
	    if GoHv5_DeathKnight_Data.config.Path_of_Frost == "NO" then
	    	GoHv5_DeathKnight_Data.config.Path_of_Frost = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Coil_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Path_of_Frost = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   DANCING RUNE WEAPON
function GoH_Deathknight_MenuButton_Dancing_Rune_Weapon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   REMORSELESS WINTER
function GoH_Deathknight_MenuButton_Remorseless_Winter_OnClick()
	    if GoHv5_DeathKnight_Data.config.Remorseless_Winter == "NO" then
	    	GoHv5_DeathKnight_Data.config.Remorseless_Winter = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\FreezingFog_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Remorseless_Winter = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end

-- DEATH KNIGHT SPELL:   ASPHYXIATE
function GoH_Deathknight_MenuButton_Asphyxiate_OnClick()
	    if GoHv5_DeathKnight_Data.config.Asphyxiate == "NO" then
	    	GoHv5_DeathKnight_Data.config.Asphyxiate = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Strangulate_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Asphyxiate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   GOREFIEND'S GRASP
function GoH_Deathknight_MenuButton_Gorfiends_Grasp_OnClick()
	    if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == "NO" then
	    	GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "YES"
	    	Play_Random_DEATHGRIP_Sound();
	    else
	    	GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   CORPSE SHIELD
function GoH_Deathknight_MenuButton_Corpse_Shield_OnClick()
	    if GoHv5_DeathKnight_Data.config.Corpse_Shield == "NO" then
	    	GoHv5_DeathKnight_Data.config.Corpse_Shield = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Pact_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Corpse_Shield = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DARK ARBITER
function GoH_Deathknight_MenuButton_Dark_Arbiter_OnClick()
	    if GoHv5_DeathKnight_Data.config.Dark_Arbiter == "NO" then
	    	GoHv5_DeathKnight_Data.config.Dark_Arbiter = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Dark_Arbiter = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   CONTROL UNDEAD
function GoH_Deathknight_MenuButton_Control_Undead_OnClick()
	    if GoHv5_DeathKnight_Data.config.Control_Undead == "NO" then
	    	GoHv5_DeathKnight_Data.config.Control_Undead = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\ArmyoftheDead_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Control_Undead = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   VAMPIRIC BLOOD
function GoH_Deathknight_MenuButton_Vampiric_Blood_OnClick()
	    if GoHv5_DeathKnight_Data.config.Vampiric_Blood == "NO" then
	    	GoHv5_DeathKnight_Data.config.Vampiric_Blood = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Vampiric_Blood = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DEATH STRIKE
function GoH_Deathknight_MenuButton_Death_Strike_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Strike == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Strike = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Heartbeat.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Strike = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DEFILE
function GoH_Deathknight_MenuButton_Defile_OnClick()
	    if GoHv5_DeathKnight_Data.config.Defile == "NO" then
	    	GoHv5_DeathKnight_Data.config.Defile = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Defile = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   DEATH GATE
function GoH_Deathknight_MenuButton_Death_Gate_OnClick()
	    if GoHv5_DeathKnight_Data.config.Death_Gate == "NO" then
	    	GoHv5_DeathKnight_Data.config.Death_Gate = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Stargate.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Death_Gate = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end


-- DEATH KNIGHT SPELL:   PILLAR OF FROST
function GoH_Deathknight_MenuButton_Pillar_of_Frost_OnClick()
	    if GoHv5_DeathKnight_Data.config.Pillar_of_Frost == "NO" then
	    	GoHv5_DeathKnight_Data.config.Pillar_of_Frost = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Pillar_of_Frost = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_DeathKnight_Set_Menu_Button_Images();

end



-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_DeathKnight_Set_Menu_Button_Images()

        -- ###################################################################################################
        -- ###################################################################################################
		--     PILLAR OF FROST
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PILLAR_OF_FROST_ICON:SetHighlightTexture(DeathKnight_Pillar_of_Frost_Icon);
		GoH_DEATHKNIGHT_PILLAR_OF_FROST_ICON:SetPushedTexture(DeathKnight_Pillar_of_Frost_Icon);
		GoH_DEATHKNIGHT_PILLAR_OF_FROST_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Pillar_of_Frost == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PILLAR_OF_FROST_ICON:SetNormalTexture(DeathKnight_Pillar_of_Frost_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Pillar_of_Frost_Text:SetText("|cFF00AA00" .. DeathKnight_Pillar_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Pillar_of_Frost_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Pillar_of_Frost_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PILLAR_OF_FROST_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Pillar_of_Frost_Text:SetText("|cFFFF0000" .. DeathKnight_Pillar_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Pillar_of_Frost_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Pillar_of_Frost_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		--     DEATH GATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetHighlightTexture(DeathKnight_Death_Gate_Icon);
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetPushedTexture(DeathKnight_Death_Gate_Icon);
		GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Death_Gate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetNormalTexture(DeathKnight_Death_Gate_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Death_Gate_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Gate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Gate_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Gate_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_GATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Death_Gate_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Gate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Gate_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Gate_Name .. "?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     DEFILE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEFILE_ICON:SetHighlightTexture(DeathKnight_Defile_Icon);
		GoH_DEATHKNIGHT_DEFILE_ICON:SetPushedTexture(DeathKnight_Defile_Icon);
		GoH_DEATHKNIGHT_DEFILE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Defile == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEFILE_ICON:SetNormalTexture(DeathKnight_Defile_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Defile_Text:SetText("|cFF00AA00" .. DeathKnight_Defile_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Defile_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Defile_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEFILE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Defile_Text:SetText("|cFFFF0000" .. DeathKnight_Defile_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Defile_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Defile_Name .. "?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     DEATH STRIKE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_STRIKE_ICON:SetHighlightTexture(DeathKnight_Death_Strike_Icon);
		GoH_DEATHKNIGHT_DEATH_STRIKE_ICON:SetPushedTexture(DeathKnight_Death_Strike_Icon);
		GoH_DEATHKNIGHT_DEATH_STRIKE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Death_Strike == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_STRIKE_ICON:SetNormalTexture(DeathKnight_Death_Strike_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Death_Strike_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Strike_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Strike_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Strike_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_STRIKE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Death_Strike_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Strike_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Death_Strike_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Strike_Name .. "?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     VAMPIRIC BLOOD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetHighlightTexture(DeathKnight_Vampiric_Blood_Icon);
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetPushedTexture(DeathKnight_Vampiric_Blood_Icon);
		GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Vampiric_Blood == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetNormalTexture(DeathKnight_Vampiric_Blood_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Vampiric_Blood_Text:SetText("|cFF00AA00" .. DeathKnight_Vampiric_Blood_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Vampiric_Blood_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Vampiric_Blood_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_VAMPIRIC_BLOOD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Vampiric_Blood_Text:SetText("|cFFFF0000" .. DeathKnight_Vampiric_Blood_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Vampiric_Blood_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Vampiric_Blood_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		--     CONTROL UNDEAD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetHighlightTexture(DeathKnight_Control_Undead_Icon);
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetPushedTexture(DeathKnight_Control_Undead_Icon);
		GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Control_Undead == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetNormalTexture(DeathKnight_Control_Undead_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Control_Undead_Text:SetText("|cFF00AA00" .. DeathKnight_Control_Undead_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Control_Undead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Control_Undead_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_CONTROL_UNDEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Control_Undead_Text:SetText("|cFFFF0000" .. DeathKnight_Control_Undead_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Control_Undead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Control_Undead_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		--     GOREFIEND'S GRASP
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetHighlightTexture(DeathKnight_Gorefiends_Grasp_Icon);
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetPushedTexture(DeathKnight_Gorefiends_Grasp_Icon);
		GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetNormalTexture(DeathKnight_Gorefiends_Grasp_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Gorefiends_Grasp_Text:SetText("|cFF00AA00" .. DeathKnight_Gorefiends_Grasp_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Gorfiends_Grasp_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Gorefiends_Grasp_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_GOREFIENDS_GRASP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Gorefiends_Grasp_Text:SetText("|cFFFF0000" .. DeathKnight_Gorefiends_Grasp_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Gorfiends_Grasp_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Gorefiends_Grasp_Name .. "?" .. "|r")

		end
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     CORPSE SHIELD
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_CORPSE_SHIELD_ICON:SetHighlightTexture(DeathKnight_Corpse_Shield_Icon);
		GoH_DEATHKNIGHT_CORPSE_SHIELD_ICON:SetPushedTexture(DeathKnight_Corpse_Shield_Icon);
		GoH_DEATHKNIGHT_CORPSE_SHIELD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Corpse_Shield == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_CORPSE_SHIELD_ICON:SetNormalTexture(DeathKnight_Corpse_Shield_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Corpse_Shield_Text:SetText("|cFF00AA00" .. DeathKnight_Corpse_Shield_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Corpse_Shield_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Corpse_Shield_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_CORPSE_SHIELD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Corpse_Shield_Text:SetText("|cFFFF0000" .. DeathKnight_Corpse_Shield_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Corpse_Shield_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Corpse_Shield_Name .. "?" .. "|r")

		end
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     DARK ARBITER
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DARK_ARBITER_ICON:SetHighlightTexture(DeathKnight_Dark_Arbiter_Icon);
		GoH_DEATHKNIGHT_DARK_ARBITER_ICON:SetPushedTexture(DeathKnight_Dark_Arbiter_Icon);
		GoH_DEATHKNIGHT_DARK_ARBITER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dark_Arbiter == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DARK_ARBITER_ICON:SetNormalTexture(DeathKnight_Dark_Arbiter_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dark_Arbiter_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Arbiter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Arbiter_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Arbiter_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DARK_ARBITER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dark_Arbiter_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Arbiter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Arbiter_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Arbiter_Name .. "?" .. "|r")

		end


        -- ###################################################################################################
        -- ###################################################################################################
		--     ASPHYXIATE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetHighlightTexture(DeathKnight_Asphyxiate_Icon);
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetPushedTexture(DeathKnight_Asphyxiate_Icon);
		GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Asphyxiate == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetNormalTexture(DeathKnight_Asphyxiate_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Asphyxiate_Text:SetText("|cFF00AA00" .. DeathKnight_Asphyxiate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Asphyxiate_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Asphyxiate_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_ASPHYXIATE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Asphyxiate_Text:SetText("|cFFFF0000" .. DeathKnight_Asphyxiate_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Asphyxiate_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Asphyxiate_Name .. "?" .. "|r")

		end


        -- ###################################################################################################
       -- ###################################################################################################
		--     REMORSELESS WINTER
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetHighlightTexture(DeathKnight_Remorseless_Winter_Icon);
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetPushedTexture(DeathKnight_Remorseless_Winter_Icon);
		GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Remorseless_Winter == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetNormalTexture(DeathKnight_Remorseless_Winter_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Remorseless_Winter_Text:SetText("|cFF00AA00" .. DeathKnight_Remorseless_Winter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Remorseless_Winter_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Remorseless_Winter_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_REMORSELESS_WINTER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Remorseless_Winter_Text:SetText("|cFFFF0000" .. DeathKnight_Remorseless_Winter_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Remorseless_Winter_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Remorseless_Winter_Name .. "?" .. "|r")

		end


        -- ###################################################################################################
        -- ###################################################################################################
		--     DANCING RUNE WEAPON
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetHighlightTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetPushedTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
		GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetNormalTexture(DeathKnight_Dancing_Rune_Weapon_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dancing_Rune_Weapon_Text:SetText("|cFF00AA00" .. DeathKnight_Dancing_Rune_Weapon_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dancing_Rune_Weapon_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dancing_Rune_Weapon_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DANCING_RUNE_WEAPON_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dancing_Rune_Weapon_Text:SetText("|cFFFF0000" .. DeathKnight_Dancing_Rune_Weapon_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dancing_Rune_Weapon_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dancing_Rune_Weapon_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		--     PATH OF FROST
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetHighlightTexture(DeathKnight_Path_of_Frost_Icon);
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetPushedTexture(DeathKnight_Path_of_Frost_Icon);
		GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Path_of_Frost == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetNormalTexture(DeathKnight_Path_of_Frost_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Path_of_Frost_Text:SetText("|cFF00AA00" .. DeathKnight_Path_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Path_of_Frost_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Path_of_Frost_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_PATH_OF_FROST_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Path_of_Frost_Text:SetText("|cFFFF0000" .. DeathKnight_Path_of_Frost_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Path_of_Frost_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Path_of_Frost_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		-- INCLUDE GOTCHA SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Gotcha_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Gotcha_Text:SetText("|cFF00AA00Gotcha?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_GOTCHA:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Gotcha_Text:SetText("|cFFFF0000Gotcha?|r");

		end
		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE RUDE SOUNDS
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_RUDE:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Rude_Sounds == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Rude_Text:SetText("|cFF00AA00Rude?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_RUDE:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Rude_Text:SetText("|cFFFF0000Rude?|r");

		end
		-- ###################################################################################################
		-- ###################################################################################################
		-- INCLUDE HEADLESS HORSEMAN IDIOT SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Include_Headless_Horseman_Sound == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Include_Horseman_Text:SetText("|cFF00AA00Include Horseman?|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_INCLUDE_HORSEMAN:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Include_Horseman_Text:SetText("|cFFFF0000Include Horseman?|r");

		end
		-- ###################################################################################################
        -- ###################################################################################################
		--     CHAINS OF ICE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetHighlightTexture(DeathKnight_Chains_of_Ice_Icon);
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetPushedTexture(DeathKnight_Chains_of_Ice_Icon);
		GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Chains_of_Ice == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetNormalTexture(DeathKnight_Chains_of_Ice_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Chains_of_Ice_Text:SetText("|cFF00AA00" .. DeathKnight_Chains_of_Ice_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Chains_of_Ice_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Chains_of_Ice_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_CHAINS_OF_ICE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Chains_of_Ice_Text:SetText("|cFFFF0000" .. DeathKnight_Chains_of_Ice_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Chains_of_Ice_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Chains_of_Ice_Name .. "?" .. "|r")

		end

        -- ###################################################################################################
        -- ###################################################################################################
		--    DARK COMMAND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetHighlightTexture(DeathKnight_Dark_Command_Icon);
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetPushedTexture(DeathKnight_Dark_Command_Icon);
		GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Dark_Command == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetNormalTexture(DeathKnight_Dark_Command_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Dark_Command_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Command_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Command_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Command_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DARK_COMMAND_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Dark_Command_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Command_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Dark_Command_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Command_Name .. "?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--    BLOOD BOIL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetHighlightTexture(DeathKnight_Blood_Boil_Icon);
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetPushedTexture(DeathKnight_Blood_Boil_Icon);
		GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Blood_Boil == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetNormalTexture(DeathKnight_Blood_Boil_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Blood_Boil_Text:SetText("|cFF00AA00" .. DeathKnight_Blood_Boil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Blood_Boil_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Blood_Boil_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_BLOOD_BOIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Blood_Boil_Text:SetText("|cFFFF0000" .. DeathKnight_Blood_Boil_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Blood_Boil_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Blood_Boil_Name .. "?" .. "|r")

		end
        
        -- ###################################################################################################
        -- ###################################################################################################
		--  MIND FREEZE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetHighlightTexture(DeathKnight_Mind_Freeze_Icon);
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetPushedTexture(DeathKnight_Mind_Freeze_Icon);
		GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Mind_Freeze == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetNormalTexture(DeathKnight_Mind_Freeze_Icon);
			-- CHANGE THE TEXT TO GREEN
			DeathKnight_Mind_Freeze_Text:SetText("|cFF00AA00" .. DeathKnight_Mind_Freeze_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mind_Freeze_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Mind_Freeze_Name .. "?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_MIND_FREEZE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			-- CHANGE THE TEXT TO RED
			DeathKnight_Mind_Freeze_Text:SetText("|cFFFF0000" .. DeathKnight_Mind_Freeze_Name .. "|r");
			-- MODIFY THE TOOLTIP
			DeathKnight_Mind_Freeze_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Mind_Freeze_Name .. "?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
	-- DARK TRANSFORMATION
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetHighlightTexture(DeathKnight_Dark_Transformation_Icon);
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetPushedTexture(DeathKnight_Dark_Transformation_Icon);
	GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Dark_Transformation == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetNormalTexture(DeathKnight_Dark_Transformation_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Dark_Transformation_Text:SetText("|cFF00AA00" .. DeathKnight_Dark_Transformation_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Dark_Transformation_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Dark_Transformation_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DARK_TRANSFORMATION_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Dark_Transformation_Text:SetText("|cFFFF0000" .. DeathKnight_Dark_Transformation_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Dark_Transformation_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Dark_Transformation_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- SUMMON GARGOYLE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetHighlightTexture(DeathKnight_Summon_Gargoyle_Icon);
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetPushedTexture(DeathKnight_Summon_Gargoyle_Icon);
	GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Summon_Gargoyle == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetNormalTexture(DeathKnight_Summon_Gargoyle_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Summon_Gargoyle_Text:SetText("|cFF00AA00" .. DeathKnight_Summon_Gargoyle_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Summon_Gargoyle_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Summon_Gargoyle_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_SUMMON_GARGOYLE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Summon_Gargoyle_Text:SetText("|cFFFF0000" .. DeathKnight_Summon_Gargoyle_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Summon_Gargoyle_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Summon_Gargoyle_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- ARMY OF THE DEAD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetHighlightTexture(DeathKnight_Army_of_the_Dead_Icon);
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetPushedTexture(DeathKnight_Army_of_the_Dead_Icon);
	GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Army_of_the_Dead == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetNormalTexture(DeathKnight_Army_of_the_Dead_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Army_of_the_Dead_Text:SetText("|cFF00AA00" .. DeathKnight_Army_of_the_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Army_of_the_Dead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Army_of_the_Dead_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ARMY_OF_THE_DEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Army_of_the_Dead_Text:SetText("|cFFFF0000" .. DeathKnight_Army_of_the_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Army_of_the_Dead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Army_of_the_Dead_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- RAISE DEAD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetHighlightTexture(DeathKnight_Raise_Dead_Icon);
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetPushedTexture(DeathKnight_Raise_Dead_Icon);
	GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Raise_Dead == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetNormalTexture(DeathKnight_Raise_Dead_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Raise_Dead_Text:SetText("|cFF00AA00" .. DeathKnight_Raise_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Dead_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Raise_Dead_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_RAISE_DEAD_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Raise_Dead_Text:SetText("|cFFFF0000" .. DeathKnight_Raise_Dead_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Dead_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Raise_Dead_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- RAISE ALLY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetHighlightTexture(DeathKnight_Raise_Ally_Icon);
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetPushedTexture(DeathKnight_Raise_Ally_Icon);
	GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Raise_Ally == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetNormalTexture(DeathKnight_Raise_Ally_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Raise_Ally_Text:SetText("|cFF00AA00" .. DeathKnight_Raise_Ally_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Ally_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Raise_Ally_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_RAISE_ALLY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Raise_Ally_Text:SetText("|cFFFF0000" .. DeathKnight_Raise_Ally_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Raise_Ally_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Raise_Ally_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- ANTIMAGIC ZONE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetHighlightTexture(DeathKnight_Anti_Magic_Zone_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetPushedTexture(DeathKnight_Anti_Magic_Zone_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.AntiMagic_Zone == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetNormalTexture(DeathKnight_Anti_Magic_Zone_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_AntiMagic_Zone_Text:SetText("|cFF00AA00" .. DeathKnight_Anti_Magic_Zone_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Zone_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Anti_Magic_Zone_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_ZONE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_AntiMagic_Zone_Text:SetText("|cFFFF0000" .. DeathKnight_Anti_Magic_Zone_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Zone_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Anti_Magic_Zone_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- ANTIMAGIC SHELL
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetHighlightTexture(DeathKnight_Anti_Magic_Shell_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetPushedTexture(DeathKnight_Anti_Magic_Shell_Icon);
	GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.AntiMagic_Shell == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetNormalTexture(DeathKnight_Anti_Magic_Shell_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_AntiMagic_Shell_Text:SetText("|cFF00AA00" .. DeathKnight_Anti_Magic_Shell_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Shell_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Anti_Magic_Shell_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ANTIMAGIC_SHELL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_AntiMagic_Shell_Text:SetText("|cFFFF0000" .. DeathKnight_Anti_Magic_Shell_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_AntiMagic_Shell_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Anti_Magic_Shell_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- ICEBOUND FORTITUDE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetHighlightTexture(DeathKnight_Icebound_Fortitude_Icon);
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetPushedTexture(DeathKnight_Icebound_Fortitude_Icon);
	GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Icebound_Fortitude == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetNormalTexture(DeathKnight_Icebound_Fortitude_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Icebound_Fortitude_Text:SetText("|cFF00AA00" .. DeathKnight_Icebound_Fortitude_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Icebound_Fortitude_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Icebound_Fortitude_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_ICEBOUND_FORTITUDE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Icebound_Fortitude_Text:SetText("|cFFFF0000" .. DeathKnight_Icebound_Fortitude_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Icebound_Fortitude_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Icebound_Fortitude_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- EMPOWER RUNE WEAPON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetHighlightTexture(DeathKnight_Empower_Rune_Weapon_Icon);
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetPushedTexture(DeathKnight_Empower_Rune_Weapon_Icon);
	GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetNormalTexture(DeathKnight_Empower_Rune_Weapon_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Empower_Rune_Weapon_Text:SetText("|cFF00AA00" .. DeathKnight_Empower_Rune_Weapon_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Empower_Rune_Weapon_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Empower_Rune_Weapon_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_EMPOWER_RUNE_WEAPON_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Empower_Rune_Weapon_Text:SetText("|cFFFF0000" .. DeathKnight_Empower_Rune_Weapon_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Empower_Rune_Weapon_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Empower_Rune_Weapon_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH COIL
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetHighlightTexture(DeathKnight_Death_Coil_Icon);
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetPushedTexture(DeathKnight_Death_Coil_Icon);
	GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Coil == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetNormalTexture(DeathKnight_Death_Coil_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Coil_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Coil_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Coil_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Coil_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_COIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Coil_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Coil_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Coil_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Coil_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH AND DECAY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetHighlightTexture(DeathKnight_Death_and_Decay_Icon);
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetPushedTexture(DeathKnight_Death_and_Decay_Icon);
	GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_and_Decay == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetNormalTexture(DeathKnight_Death_and_Decay_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_and_Decay_Text:SetText("|cFF00AA00" .. DeathKnight_Death_and_Decay_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_and_Decay_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_and_Decay_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_AND_DECAY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_and_Decay_Text:SetText("|cFFFF0000" .. DeathKnight_Death_and_Decay_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_and_Decay_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_and_Decay_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- DEATH GRIP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetHighlightTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetPushedTexture(DeathKnight_Death_Grip_Icon);
	GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Grip == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture(DeathKnight_Death_Grip_Icon);
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Death_Grip_Text:SetText("|cFF00AA00" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_DEATH_GRIP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Death_Grip_Text:SetText("|cFFFF0000" .. DeathKnight_Death_Grip_Name .. "|r");
		-- MODIFY THE TOOLTIP
		DeathKnight_Death_Grip_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Death_Grip_Name .. "?" .. "|r")

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY LOGIN SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		DeathKnight_Play_Login_Sound_Text:SetText("|cFF00AA00Play 'Login' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_DEATHKNIGHT_PLAY_LOGIN_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		DeathKnight_Play_Login_Sound_Text:SetText("|cFFFF0000Play 'Login' Sound|r");

	end
	-- ###################################################################################################

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == nil then
		GoHv5_DeathKnight_Data.config.Use_MK_Font = "NO";
	end

	if GoHv5_DeathKnight_Data.config.Use_MK_Font == "YES" then
   		       UIErrorsFrame:SetFont("Interface\\AddOns\\GoH\\Font\\AKIRA__.ttf", 25, "OUTLINE")
	else
   		       -- UIErrorsFrame:SetFont("Fonts\\FRIZQT__.ttf", 16)
	end

end



function GoH_DeathKnight_Set_DeathCharger_Button_Images()

        -- ###################################################################################################
		--     ACHERUS DEATHCHARGER SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning sound?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning sound?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     ACHERUS DEATHCHARGER NAME
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_HOVER");
		GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Name_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:Enable();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetTextColor(1.0, 1.0, 1.0);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetFocus();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:EnableKeyboard(true);
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DEATH_CHARGER_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightLand_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Deathcharger_Name_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Acherus_Deathcharger_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_DeathKnight_DeathCharger_MOUNT_NAME:Disable();
		end
        -- ###################################################################################################

end

function GoH_DeathKnight_Set_Winged_Steed_Button_Images()

        -- ###################################################################################################
		--     WINGED STEED OF THE EBON BLADE SOUND
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Winged_Steed_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Winged_Steed_Name .. " summoning sound?" .. "|r")

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_WINGED_STEED_SOUND_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Sound_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Winged_Steed_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Winged_Steed_Name .. " summoning sound?" .. "|r")

		end
        -- ###################################################################################################
        -- ###################################################################################################
		--     WINGED STEED NAME
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_HOVER");
		GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_ON");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Winged_Steed_Name_Tooltip = ("|cFFFF0000" .. "Disable " .. DeathKnight_Winged_Steed_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:Enable();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetTextColor(1.0, 1.0, 1.0);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetFocus();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:EnableKeyboard(true);
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_WINGED_STEED_NAME_BUTTON_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_MountName_DeathKnightSky_OFF");
			-- MODIFY THE TOOLTIP
			DeathKnight_Acherus_Winged_Steed_Name_Tooltip = ("|cFF00AA00" .. "Enable " .. DeathKnight_Winged_Steed_Name .. " summoning name?" .. "|r")

	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:ClearFocus();
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:EnableKeyboard(false);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_DeathKnight_Winged_Steed_MOUNT_NAME:Disable();
		end
        -- ###################################################################################################

end

